<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="data">
    <xsl:processing-instruction name="cocoon-format">
      type="text/html"
    </xsl:processing-instruction>
    <HTML>
      <HEAD>
        <TITLE><xsl:value-of select="title"/></TITLE>
      </HEAD>
      <BODY>
        <H1><xsl:value-of select="title"/></H1>
        <TABLE BORDER="2">
          <TR>
            <TH>Number</TH>
            <TH>Value</TH>
          </TR>
          <xsl:for-each select="record">
            <TR>
              <TD ALIGN="RIGHT">
                <CODE>
                  <xsl:value-of select="@number"/>
                </CODE>
              </TD>
              <TD ALIGN="RIGHT">
                <CODE>
                  <xsl:value-of select="@value"/>
                </CODE>
              </TD>
            </TR>
          </xsl:for-each>
        </TABLE>
        <P/>
        Number of Records = <CODE><xsl:value-of select="count(record)"/></CODE>
      </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
