<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="sesscount">
    <xsl:processing-instruction name="cocoon-format">
      type="text/html"
    </xsl:processing-instruction>
    <HTML>
      <HEAD>
        <TITLE><xsl:value-of select="title"/></TITLE>
      </HEAD>
      <BODY>
        <H1><xsl:value-of select="title"/></H1>
        Session = <CODE><xsl:value-of select="session/@id"/></CODE>
        <P/>
        <xsl:element name="FORM">
          <xsl:attribute name="METHOD">POST</xsl:attribute>
          <xsl:attribute name="ACTION">
            <xsl:value-of select="session/@url"/>
          </xsl:attribute>
          <xsl:element name="INPUT">
            <xsl:attribute name="TYPE">TEXT</xsl:attribute>
            <xsl:attribute name="NAME">
              <xsl:value-of select="names/@text"/>
            </xsl:attribute>
            <xsl:attribute name="VALUE">
              <xsl:value-of select="data/@text"/>
            </xsl:attribute>
          </xsl:element>
          <INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="Save Text"/>
        </xsl:element>
        <P/>
        Count = <CODE><xsl:value-of select="data/@count"/></CODE>
        <P/>
        <xsl:element name="A">
          <xsl:attribute name="HREF">
            <xsl:value-of select="session/@url"/>
          </xsl:attribute>
          Nochmal
        </xsl:element>
      </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
